OgreCompositorInstance.h File Reference
`#include "OgrePrerequisites.h"`
`#include "OgreMaterialManager.h"`
`#include "OgreTexture.h"`
`#include "OgreRenderQueue.h"`
`#include "OgreCompositionTechnique.h"`

Go to the source code of this file.

## Classes

class | Ogre::CompositorInstance
| An instance of a Compositor object for one Viewport. More...
class | Ogre::CompositorInstance::Listener
| Provides an interface to "listen in" to to render system operations executed by this CompositorInstance. More...
class | Ogre::CompositorInstance::RenderSystemOperation
| Specific render system operation. More...
class | Ogre::CompositorInstance::TargetOperation
| Operation setup for a RenderTarget (collected). More...

## Namespaces

namespace | Ogre

## Variables

const size_t | Ogre::RENDER_QUEUE_COUNT = RENDER_QUEUE_MAX+1

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:24